Bug#799725: Please remove alternate build deps for gstreamer 0.10

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#799725: Please remove alternate build deps for gstreamer 0.10

Moritz Muehlenhoff
Source: kivy
Severity: normal

Hi,
kivy is using gstreamer 1.0, but still has alternate build-deps/deps
on gstreamer 0.10:

libgstreamer0.10-dev
python-gst0.10

Please remove these, gstreamer 0.10 is scheduled for removal from
the archive.

Cheers,
        Moritz

Reply | Threaded
Open this post in threaded view
|

Bug#799725: Please remove alternate build deps for gstreamer 0.10

Vincent Cheng-2
On Mon, Sep 21, 2015 at 1:31 PM, Moritz Muehlenhoff <[hidden email]> wrote:

> Source: kivy
> Severity: normal
>
> Hi,
> kivy is using gstreamer 1.0, but still has alternate build-deps/deps
> on gstreamer 0.10:
>
> libgstreamer0.10-dev
> python-gst0.10
>
> Please remove these, gstreamer 0.10 is scheduled for removal from
> the archive.

Is it not possible to keep these alternate build-deps in d/control to
e.g. ease backporting? My understanding is that the dependency
resolver that buildds use will only look at the first build-dep and
disregard alternate build-deps.

Regards,
Vincent

Reply | Threaded
Open this post in threaded view
|

Bug#799725: [Python-modules-team] Bug#799725: Please remove alternate build deps for gstreamer 0.10

Scott Kitterman-5


On September 21, 2015 4:42:13 PM EDT, Vincent Cheng <[hidden email]> wrote:

>On Mon, Sep 21, 2015 at 1:31 PM, Moritz Muehlenhoff <[hidden email]>
>wrote:
>> Source: kivy
>> Severity: normal
>>
>> Hi,
>> kivy is using gstreamer 1.0, but still has alternate build-deps/deps
>> on gstreamer 0.10:
>>
>> libgstreamer0.10-dev
>> python-gst0.10
>>
>> Please remove these, gstreamer 0.10 is scheduled for removal from
>> the archive.
>
>Is it not possible to keep these alternate build-deps in d/control to
>e.g. ease backporting? My understanding is that the dependency
>resolver that buildds use will only look at the first build-dep and
>disregard alternate build-deps.

As long as whoever files that rm bugs mentions these are alternates, it shouldn't delay removal of the obsolete packages.

Scott K

Reply | Threaded
Open this post in threaded view
|

Bug#799725: Please remove alternate build deps for gstreamer 0.10

Moritz Mühlenhoff-2
In reply to this post by Vincent Cheng-2
On Mon, Sep 21, 2015 at 01:42:13PM -0700, Vincent Cheng wrote:

> On Mon, Sep 21, 2015 at 1:31 PM, Moritz Muehlenhoff <[hidden email]> wrote:
> > Source: kivy
> > Severity: normal
> >
> > Hi,
> > kivy is using gstreamer 1.0, but still has alternate build-deps/deps
> > on gstreamer 0.10:
> >
> > libgstreamer0.10-dev
> > python-gst0.10
> >
> > Please remove these, gstreamer 0.10 is scheduled for removal from
> > the archive.
>
> Is it not possible to keep these alternate build-deps in d/control to
> e.g. ease backporting?
>
> My understanding is that the dependency
> resolver that buildds use will only look at the first build-dep and
> disregard alternate build-deps.

Why do you need that? gstreamer1.0 is available even in wheezy-backports.

Cheers,
        Moritz